| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_HID_REPORT_T Struct Reference
HID Class Function Driver

## Detailed Description

HID report descriptor data structure.

This structure is used as part of HID function driver initialization parameter structure USBD_HID_INIT_PARAM_T. This structure contains details of a report type supported by the application. An application can support multiple report types as a single HID device. The application should define this report type data struture per report it supports and the array of reoprt types to USBD_HID_API::init() through USBD_HID_INIT_PARAM_T structure.

Note
  All descriptor pointers assigned in this structure should be on 4 byte aligned address boundary.

This structure is used as part of HID function driver initialization parameter structure USBD_HID_INIT_PARAM_T. This structure contains details of a report type supported by the application. An application can support multiple report types as a single HID device. The application should define this report type data struture per report it supports and the array of reoprt types to USBD_HID_API::init() through USBD_HID_INIT_PARAM_T structure.

Note
  All descriptor pointers assigned in this structure should be on 4 byte aligned address boundary.

Definition at line 181 of file usbd_api.h.

`#include "usbd_api.h"`

## Data Fields
uint16_t | len
uint8_t | idle_time
uint8_t * | desc

## Field Documentation

uint8_t * desc

Report descriptor.

Definition at line 185 of file usbd_api.h.

uint8_t idle_time

This value is used by stack to respond to Set_Idle & GET_Idle requests for the specified report ID. The value of this field specified the rate at which duplicate reports are generated for the specified Report ID. For example, a device with two input reports could specify an idle rate of 20 milliseconds for report ID 1 and 500 milliseconds for report ID 2.

Definition at line 183 of file usbd_api.h.

uint16_t len

Size of the report descriptor in bytes.

Definition at line 182 of file usbd_api.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_api.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_hiduser.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/DCD/USBRom/usbd_hiduser.h